<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
    <p-panel>
        <p-header>
            {{'mpmApp.requirement.home.createOrEditLabel' | translate}}
        </p-header>

        <div class="modal-body">
            
            <div class="form-group" [hidden]="!requirement.idRequirement">
                <label for="id" jhiTranslate="global.field.id">ID</label>
                <input type="text" class="form-control" id="id" name="id" [(ngModel)]="requirement.idRequirement" readonly />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.requirement.requirementNumber" for="field_requirementNumber">Requirement Number</label>
                <input type="text" class="form-control" name="requirementNumber" id="field_requirementNumber"
                    [(ngModel)]="requirement.requirementNumber"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.requirement.description" for="field_description">Description</label>
                <input type="text" class="form-control" name="description" id="field_description"
                    [(ngModel)]="requirement.description"  />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.requirement.dateCreate" for="field_dateCreate">Date Create</label>
                <div class="input-group">
                    <p-calendar inputId="field_dateCreate" name="input_dateCreate" [(ngModel)]="requirement.dateCreate"
                        dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.requirement.dateRequired" for="field_dateRequired">Date Required</label>
                <div class="input-group">
                    <p-calendar inputId="field_dateRequired" name="input_dateRequired" [(ngModel)]="requirement.dateRequired"
                        dateFormat="dd-mm-yy" [showTime]="true" hourFormat="24" [showSeconds]="true"
                        [showIcon]="true"></p-calendar>
                </div>
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.requirement.budget" for="field_budget">Budget</label>
                <input currencyMask class="form-control" name="budget" id="field_budget"
                    [(ngModel)]="requirement.budget"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                     />
            </div>
            <div class="form-group">
                <label class="form-control-label" jhiTranslate="mpmApp.requirement.qty" for="field_qty">Qty</label>
                <input currencyMask class="form-control" name="qty" id="field_qty"
                    [(ngModel)]="requirement.qty"
                    [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '0' }"
                     />
            </div>

            <div class="form-group">
                <label jhiTranslate="mpmApp.requirement.payment" for="field_payment">Payment</label>
                <select class="form-control" id="field_payment" multiple name="payment" [(ngModel)]="requirement.payments">
                    <option [ngValue]="getSelected(requirement.payments, paymentApplicationOption)" *ngFor="let paymentApplicationOption of paymentapplications; trackBy: trackPaymentApplicationById">{{paymentApplicationOption.id}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.requirement.facility" for="field_facility">Facility</label>
                <select class="form-control" id="field_facility" name="facility" [(ngModel)]="requirement.facilityId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.description}}</option>
                </select>
            </div>
            <div class="form-group">
                <label jhiTranslate="mpmApp.requirement.parent" for="field_parent">Parent</label>
                <select class="form-control" id="field_parent" name="parent" [(ngModel)]="requirement.parentId" >
                    <option [ngValue]="null"></option>
                    <option [ngValue]="requirementOption.idRequirement" *ngFor="let requirementOption of requirements; trackBy: trackRequirementById">{{requirementOption.description}}</option>
                </select>
            </div>
        </div>
    
        <p-footer>
            <button pButton type="button" (click)="previousState()"
                label="{{'entity.action.cancel' | translate}}" 
                icon="fa-ban"
                class="ui-button-danger flat-label-button">
            </button>
            <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
                label="{{'entity.action.save' | translate}}" 
                icon="fa-save"
                class="ui-button-primary flat-label-button">
            </button>
        </p-footer>
    </p-panel>
</form>    